// =================== Example 3: Rocking Effect Triggered on Click with JavaScript and CSS ===================
function rockImage() {
  const image = document.querySelector(".click-rock-image");
  image.classList.add("click-rock");

  setTimeout(() => {
    image.classList.remove("click-rock");
  }, 2000); // Rock for 2 seconds
}

// =================== Example 7: Rocking with a Tilt and Zoom Effect on Click
function zoomRockEffect() {
  const image = document.querySelector(".zoom-rock-image");
  image.classList.add("zoom-rock");

  setTimeout(() => {
    image.classList.remove("zoom-rock");
  }, 1500); // Rock and zoom for 1.5 seconds
}


// Get all pupils
const pupils = document.querySelectorAll('.pupil');

// Track mouse movement
document.addEventListener('mousemove', (event) => {
  const { clientX: mouseX, clientY: mouseY } = event;

  pupils.forEach((pupil) => {
    // Get eye dimensions and position
    const rect = pupil.parentElement.getBoundingClientRect();
    const eyeX = rect.left + rect.width / 2;
    const eyeY = rect.top + rect.height / 2;

    // Calculate angle
    const angle = Math.atan2(mouseY - eyeY, mouseX - eyeX);

    // Calculate movement (pupil moves within the eye bounds)
    const distance = Math.min(rect.width / 4, rect.height / 4); // Limit movement
    const pupilX = Math.cos(angle) * distance;
    const pupilY = Math.sin(angle) * distance;

    // Apply transformation
    pupil.style.transform = `translate(${pupilX}px, ${pupilY}px)`;
  });
});
